SETUP(1)

NAME
setup -

DESCRIPTION

Setup commands for CLI

AVAILABLE COMMANDS

•   autocomplete

•   bootstrap

•   config

•   keys

•   oci-cli-rc

•   repair-file-permissions

  autocomplete

  Description

Interactive script to set up tab completion for commands and parameters.

  Usage

oci setup autocomplete [OPTIONS]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  bootstrap

  Description

Provides an interactive process to create a CLI config file using username / password based login through a browser. Also handles generating API keys and uploading them to your Oracle Cloud Infrastructure account.

Note that port 8181 must be available in order for this command to complete properly.

  Usage

oci setup bootstrap [OPTIONS]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  config

  Description

Interactive script to generate oci config file.

  Usage

oci setup config [OPTIONS]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  keys

  Description

Generates an API Signing RSA key pair. A passphrase for the private key can be provided using either the 'passphrase' or 'passphrase-file' option. If neither option is provided, the user will be prompted for a passphrase via stdin.

  Usage

oci setup keys [OPTIONS]

  Optional Parameters

--key-name [text]

    A name for the API Signing key. Generated key files will be {key-name}.pem and {key-name}_public.pem

--output-dir [path]

    An optional directory to output the generated API Signing keys.

--overwrite

    An option to overwrite existing files without a confirmation prompt.

--passphrase [text]

    An optional passphrase to encrypt the private API Signing key.

--passphrase-file [filename]

    An optional file with the first line specifying a passphrase to encrypt the API Signing private key (or '-' to read from stdin).

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  oci-cli-rc

  Description

Generates a oci_cli_rc file that can contain parameter default values and other configuration information such as command aliases and predefined queries.

This command will populate the file with some default aliases and predefined queries.

  Usage

oci setup oci-cli-rc [OPTIONS]

  Optional Parameters

--file [filename]

    The file into which default aliases and predefined queries will be loaded [default: ~/.oci/oci_cli_rc]

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

  repair-file-permissions

  Description

Resets permissions on a given file to an appropriate access level for sensitive files. Generally this is used to fix permissions on a private key file or config file to meet the requirements of the CLI. On Windows, full control will be given to System, Administrators, and the current user. On Unix, Read / Write permissions will be given to the current user.

  Usage

oci setup repair-file-permissions [OPTIONS]

  Required Parameters

--file [text]

    The file to repair permissions on.

  Global Parameters

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle